import Component from '../../component.js';
import SelectComponent from '../../select.js';

export default class CoUxDashboardSelector extends Component {
    constructor(parent) {
      let selector = 'ux-dashboard-selector';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/externals/src/lib/widgets/components/ux-dashboard-selector/ux-dashboard-selector.component.html#3,5-6,11-14
    }
    get dashboardProfileSelector() {
      return new SelectComponent(this.currentPath).byAttributeContains('formcontrolname', 'dashboard');
    }
    get dashboardCustomizeButton() {
      let path = '//ux-button//button';
      return this.currentPath + path;
    }
    get dashboardCustomizeButtonText() {
      let path = '//span[@class="ux-button__content"]//span';
      return this.dashboardCustomizeButton + path;
    }
}

